%define name	avview
%define version	0.80.6
%define	rel	2
%define release	%mkrel %{rel}

Summary:	ATI audio/video viewer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Source0:	%{name}-%{version}.tar.bz2
#Patch0:		%{name}-gcc-3.4.patch.bz2
Patch1:		avview-0.80.6-new-ffmpeg-fix.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://gatos.sourceforge.net/avview.php
BuildRequires:	tcl tk XFree86-devel zvbi-devel ffmpeg-devel alsa-lib-devel lirc-devel
Requires:	ffmpeg tcl tk
Source11:	avview-16.png
Source12:	avview-32.png

%description
AVview is a Tcl/Tk extension which provides interface to Audio/Video devices on
Linux. The goal is to have an efficient Audio/Video processing engine which is
controlled by Tcl/Tk interface.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1 -b .ffmpeg

%build
export CPPFLAGS="-I%{_includedir}/ffmpeg"
%configure --with-alsa --with-ffmpeg=%{_libdir}

%make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): needs="x11" section="Multimedia/Video" title="AVview" longtitle="ATI audio/video viewer" command="start_avview" icon="avview.png"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{name}-48x48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS
%{_bindir}/avview_shell
%{_bindir}/start_avview
%{_datadir}/AVview
%{_menudir}/%{name}
%{_miconsdir}/avview.png
%{_liconsdir}/avview.png
%{_iconsdir}/avview.png

%changelog
* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.80.6-2mdk
- Fix File Section

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.80.6-1mdk
- 0.80.6
- fix build with newer ffmpeg (P1 with help from altlinux' patch)
- fix lib64 path to ffmpeg
- fix buildrequires
- %%mkrel
- drop P0 (fixed upstream)
- wipe out buildroot in %%install
- drop 'INSTALL' & 'COPYING'
- cosmetics

* Sun Jul 04 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-7mdk
- P0 to build with new gcc
- requires tcl/tk

* Sat May 29 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-6mdk
- rebuild against newer tk/tcl

* Sun Feb 1 2004 Franck Villaume <fvill@freesurf.fr> 0.80.3-5mdk
- buildrequires
- once again : reenable ffmpeg but correctly... I hope

* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.80.3-4mdk
- use system wide ffmpeg
- fix group

* Sun Jan 25 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-3mdk
- buildrequires ffmpeg-devel

* Sat Jan 24 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-2mdk
- reenable ffmpeg support
- remove requires for ati.2 ( for now )
- change group to new menu structure
- remove explicit libs

* Fri Jan 16 2004 Spencer Anderson <sdander@oberon.ark.com> 0.80.3-1mdk
- 0.80.3

* Mon Aug 18 2003 Austin Acton <aacton@yorku.ca> 0.12.0-1mdk
- DIRM
- buildrequires ffmpeg-devel
- from Spencer Anderson <sdander@oberon.ark.com> :
  - 0.12.0

* Sat Apr 12 2003 Austin Acton <aacton@yorku.ca> 0.11.12-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>
  - new version
  - build for new tcl/tk
  - enable ffmpeg and alsa support

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 0.10.8-2mdk
- requires ati.2

* Sun Feb 16 2003 Austin Acton <aacton@yorku.ca> 0.10.8-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>
- First mdk release
- Make menu entry
- Fix icons

